// title "Prometheus" 10

// 9 - delete more globals - done
// 10 - 1 prommie, the rest plat judges on end segment
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------




$OVconvoyTech = 2;



$server::TeamDamage = False;



$actionStarted = False;


$maxRange = 1500;
$minRange = 250;

// how many player are alive at squad drop time
$numLivePlayers = 0;

//----------------------------------------------------------------

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = False;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = False;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = False;

   // what can the server admin choose for available teams
   $server::disableTeamRed = False;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = False;
   $server::disableTeamPurple = true;

}

//----------------------------------------------------------------

Pilot Prometheus
{
   id = 29;

   name = "Prometheus";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 2000.0;
   deactivateBuff = 300.0;
   targetFreq = 2.0;
   trackFreq = 0.1;
   fireFreq = 0.5;
   LOSFreq = 0.2;
   orderFreq = 4.0;
};

Pilot Guard
{
   id = 30;
   
   name = "Guard";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 700.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.1;
   fireFreq = 0.5;
   LOSFreq = 0.2;
   orderFreq = 4.0;
};

Pilot Cybrid
{
   id = 31;
   
   name = "Cybrid";
   skill = 0.5;
   accuracy = 0.5;
   aggressiveness = 0.8;
   activateDist = 11000.0;
   deactivateBuff = 12000.0;
   targetFreq = 3.0;
   trackFreq = 1.0;
   fireFreq = 1.0;
   LOSFreq = 0.2;
   orderFreq = 1.5;
};

Pilot SaxPilot
{
   id = 32;
   name = "Sax";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 1500.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 0.1;
   fireFreq = 0.5;
   LOSFreq = 0.2;
   orderFreq = 4.0;
};

Pilot CaanonPilot
{
   id = 33;
   name = "Caanon";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 1500.0;
   deactivateBuff = 500.0;
   targetFreq = 2.0;
   trackFreq = 0.1;
   fireFreq = 0.5;
   LOSFreq = 0.2;
   orderFreq = 4.0;
};


//-----------------146-----------------------------------------------

function onMissionLoad()
{

   cdAudioCycle("Purge", "Terror", "Watching"); 




   $textMsg =  "Mission Credits:  Dolf Kooz, revised by Slade \n"@
      "Complete Objectives:"@
      "\n1) Destroy Prometheus" @
"\nProceed to Nav Omega, engage and kill Prometheus. He will undoubtly "@
"have plenty of support.    This is our only chance to win the fight against "@
"the Brids.   \n\nGood Luck.  Respawning is allowed.";


   setGameInfo($textMsg);

}

//----------------------------------------------------------------

function onMissionStart()
{

   cdAudioCycle( CloudBurst, Terror );
   iceSounds();
   init();
}
//---------------------176-------------------------------------------

function init()
{


  $navAlpha =  "MissionGroup/NavPoints/navAlpha" ;
  $navOmega =  "MissionGroup/NavPoints/navOmega" ;

// $MarkerCaanon is center for AI baddies
$MarkerCaanon = "MissionGroup/caanonPath/marker2";




//Sax stuff
   newObject ("Sax", SimGroup);
   addToSet ("MissionGroup", "Sax");

//Caanon stuff
   $CaanonPath = "MissionGroup/caanonPath";
   newObject ("Caanon", SimGroup);
   addToSet ("MissionGroup", "Caanon");

//Prommie stuff
   newObject ("Prommie", SimGroup);
   addToSet ("MissionGroup", "Prommie");




   $Baddies = false;

   $attackStarted = false;

  createDropShip();
  createPromie();
  createCaanon();
  createSax();

   $hut     = getObjectId ("MissionGroup/hut") ;



   MPcheckBoundary( leave, getObjectID ($navAlpha), 200, onLeaveNavAlphaWarning, 1 );
   MPcheckBoundary( leave, getObjectID ($navAlpha), 400, onLeaveNavAlpha, 1 );

   MPcheckBoundary( enter, getObjectID ($hut), 1250, startPrommie, 5);

}
//----------------226------------------------------------------------

function createPromie()
{

  %herc = NewObject( "p1", Herc, 29);

  setTeam(%herc, *IDSTR_TEAM_RED);
  setPilotId (%herc, 50);
   addToSet ( "MissionGroup/Prommie", %herc );
   $prometheus = %herc;

   order( $prometheus, Speed, High );

   setPosition( $prometheus, -136.82, -1748, 463 );

   order( $prometheus, shutdown, true );

}

//----------------------------------------------------------------

function createDropShip()
{
  %herc = NewObject( "Drop Ship", Flyer, 130); // terran drop ship

  newObject( "dropShipGroup", SimGroup );
  addToSet( "MissionGroup", "dropShipGroup" );
  addToSet( "MissionGroup/dropShipGroup", %herc );
  setTeam(%herc, *IDSTR_TEAM_YELLOW);
  setPilotId (%herc,28);

  %x = getPosition ($navAlpha, x);
  %y = getPosition ($navAlpha, y);
  %z = getPosition ($navAlpha, z);

  setPosition (%herc, %x, %y, %z );

// don't let that ship take off!
   order( %herc, shutdown, True );
}
//----------------------------------------------------------------

function createSax()
{
  %x = getPosition ($navAlpha, x);
  %y = getPosition ($navAlpha, y);
  %x = %x - 75;
  %y = %y - 75;

   %sax = newObject( "Predator", Tank, 45 );
   setTeam ( %sax, *IDSTR_TEAM_YELLOW );
   setPilotID ( %sax, 32 );
   addToSet( "MissionGroup/Sax", %sax );
   placeObject ( %sax, %x, %y);
   order( %sax, shutdown, true );
   $Sax = %sax;

}
//----------------------285----------------------------------------

function createCaanon()
{
  %x = getPosition ($navAlpha, x);
  %y = getPosition ($navAlpha, y);
  %x = %x - 50;
  %y = %y - 50;

   %herc = newObject( "Basilisk", Herc, 44 );
   setTeam ( %herc, *IDSTR_TEAM_YELLOW );
   setPilotID ( %herc, 33 );
   addToSet( "MissionGroup/Caanon", %herc );
   placeObject ( %herc, %x, %y);
   order( %herc, shutdown, true );
   $Caanon = %herc;

}

//----------------------------------------------------------------

function player::onAdd(%this)
{

say ( %this, 0, $Version @"\n"@ $textMsg );

  say(%this, 0, "Prometheus welcomes you....\n"@  
       "to his world......\n"@
       "Please come again in your future lives......\n"@
       " Objectives : Proceed to Nav Omega.  Destroy Promethesus.  ");
}


//----------------------------------------------------------------

function vehicle::onAdd(%this)
{                                                                                                                                                     
                                                                                    
// see if it is a player, if not exit
   %player = playerManager::vehicleIdToPlayerNum(%this);

   if(%player == 0) 
      return;



   if (getTeam (%this) != *IDSTR_TEAM_YELLOW)
    {
     setTeam(%this, *IDSTR_TEAM_YELLOW);
     redrop(%this);
    }


 if ( $actionStarted == true )
   {
    if ( %player.state == "tked" )  
        {
   	%player.state = "";
        }
//      else
//        {
//        schedule ("healObject(" @ %this @ ", -50000);", 3);
//        Say(%player,0,"Sorry, you can't join until the next game.");
//       }
   }

}                                                                                                                                                     

//----------------------------------------------------------------

function setNavOmegaON()
{
   %playerCount = playerManager::getPlayerCount();

   for (%p = 0; %p < %playerCount; %p++)
     {
      %player = playerManager::getPlayerNum( %p );

      %playerVeh = playerManager::playerNumToVehicleId( %player);

      setNavMarker( $navOmega, true, %playerVeh  );
     }
}
//-----------------368-----------------------------------------------

function onLeaveNavAlphaWarning ()
{

   say (0,0, "<f5>You are leaving the drop zone. By doing so you will start the mission.");
schedule( "say(0, 0, \"<F5>TAC-COM:  Your Hercs have the new MedPak.  Scan your Squad to heal and reload them.\");", 2 );     
   order( $Caanon, shutdown, false );
   order( $Caanon, Speed, High );
   order( $Sax, shutdown, false );
   order( $Sax, Speed, High );
       schedule ("order($Caanon, guard, $caanonPath);", 1);
       schedule ("order($Sax, guard, $caanonPath);", 2);
   setNavOmegaON();
}

//----------------------------------------------------------------

function onLeaveNavAlpha ()
{
   $actionStarted = true;
   $attackStarted = true;
   $Baddies = true;
   schedule ("$Baddies = false;", 300);


       schedule ("createbackup();", 3 );  
       schedule ("createbackup();", 30 );  
//       schedule ("createbackup();", 90 );  
//       schedule ("createbackup();", 150 );  
//       schedule ("createbackup();", 210 );  
//       schedule ("createbackup();", 270 );  


}

//-----------------------404-----------------------------------------

function vehicle::onDestroyed(%this, %who)                                                             
{

   if( %this == $prometheus  )                                                  
   {
                                                                                                
      schedule( "Say( 0, 0, *IDSTR_HE3_CAA12, \"HE3_CAA12.wav\" );", 2 );
      schedule( "Say( 0, 0, *IDSTR_HE3_CAA13, \"HE3_CAA13.wav\" );", 6 );
      schedule( "Say( 0, 0, *IDSTR_HE3_LON01, \"HE3_LON01.wav\" );", 8 );
      schedule( "Say( 0, 0, *IDSTR_HE3_CAA14, \"HE3_CAA14.wav\" );", 12 );
     schedule( "gameOver();", 210 );
   }                                             

   // give the death messages...
   %message = getFancyDeathMessage(getHUDName(%this), getHUDName(%who));
   if(%message != "")
   {
      say( 0, 0, %message);
   }

  if ( $actionStarted == true ) checkForPlayersDead();

// see if it is a player
   %player = playerManager::vehicleIdToPlayerNum(%this);
   if(%player == 0) 
   {
    schedule( "deleteObject(" @ %this @ ");", 5 );

// heal and reload the player
   healobject ( %who, 5000 );
   healobject ( %who, 5000 );
   healobject ( %who, 5000 );

  reloadObject(%who, 5000 );
  reloadObject(%who, 5000 );

  checkRedropSquad();
   }

   if ((%this != %who) &&
      (getTeam(%this) == getTeam(%who)) &&
      (getTeam(%this) == *IDSTR_TEAM_YELLOW))
    {
     %killerName = getHudName ( %who );
     %name = getHudName ( %this );

// Team kill, take action
     say(0,0,%killerName@" is being kicked for team-killing "@%name@".");
     say(%who, %who, "", "rules_violated.wav");
     %player = playerManager::vehicleIdToPlayerNum ( %who );
     kick ( %player, *IDMULT_CHAT_TEAM_KILL_KICK );

// allow TKed player to return
     say(%this, %this, "A teammate killed you. You may respawn.");
     %this.state = "tked";
    }
//-----462----------
      if((%who == $Sax)&&(%this != $Sax))
      {
         %random = randomInt(0,5);
         if(%random == 0)
         {
            say("Everybody", 3, "<F5>Saxon:  Yeah! Boom-baby-boom! hahah.",	"M6_Saxon_yeahboom.WAV"	);
         }
         else if(%random == 1)
         {
            say("Everybody", 3, "<F5>Saxon:  Yeah! Yeah! Yeah! Righteous.",	"M6_Saxon_yeahyeah.WAV"	);
         }
         else if(%random == 2)
         {
            say("Everybody", 3, "<F5>Saxon:  I found my thrill on blueberry hill.",	"M6_Saxon_ifoundmy.WAV"	);
         }
         else if(%random == 3)
         {
            say("Everybody", 3, "<F5>Saxon:  God sends meat and the devil sends cooks.",	"M6_Saxon_godsendsmeat.WAV"	);
         }
         else if(%random == 4)
         {
            say("Everybody", 3, "<F5>Saxon:  Music to my ears.",	"M6_Saxon_musictomyears.WAV"	);
         }
         else if(%random == 5)
         {
            say("Everybody", 3, "<F5>Saxon:  Boring.......",	"M6_Saxon_whistle.WAV"	);
         }
      }
//---------------

      if((%who == $Caanon)&&(%this != $Caanon))
      {
         %random = randomInt(0,5);
         if(%random == 0)
         {
            say("Everybody", 3, "<F5>Caanon:  Next!",	"M3_DM_next.wav"	);
         }
         else if(%random == 1)
         {
            say("Everybody", 3, "<F5>Caanon:  Wohoo! Splashed that one.",	"M3_DM_wohoo.WAV"	);
         }
         else if(%random == 2)
         {
            say("Everybody", 3, "<F5>Caanon:  Aim for the cockpit.",	"M3_TDM_aimfor.WAV"	);
         }
         else if(%random == 3)
         {
            say("Everybody", 3, "<F5>Caanon:  Follow me.",	"M3_TDM_followme.wav"	);
         }
         else if(%random == 4)
         {
            say("Everybody", 3, "<F5>Caanon:  Get out of the way.",	"M3_TDM_getoutofthe.wav"	);
         }
         else if(%random == 5)
         {
            say("Everybody", 3, "<F5>Caanon:  Stay frosty people.",	"M3_TDM_stayfrosty.WAV"	);
         }
      }
//---------------



}


//----------------------------------------------------------------

function pickPlayer ()
{

// 100 so we can be assured of getting a live player
   for (%p = 0; %p < 100; %p++)
     {
      %player = playerManager::getPlayerNum( randomInt( 0, playerManager::getPlayerCount() - 1 ) );

      %playerVeh = playerManager::playerNumToVehicleId( %player);

      if (( %playerVeh != "" ) &&
          (isGroupDestroyed (%playerVeh) == false))
       {
         return %playerVeh;
       }
     }
  return 0;

}

//----------------------------------------------------------------

function dropPromGuards()
{
     $numLivePlayers = countLivePlayers ();

      createGuard ();
      createGuard ();

     if ( $numLivePlayers >= 1 )  schedule ("createGuard ();", 1 );
     if ( $numLivePlayers >= 2 )  schedule ("createGuard ();", 2 );
     if ( $numLivePlayers >= 3 )  schedule ("createGuard ();", 3 );
     if ( $numLivePlayers >= 4 )  schedule ("createGuard ();", 4 );
     if ( $numLivePlayers >= 5 )  schedule ("createGuard ();", 5 );
     if ( $numLivePlayers >= 6 )  schedule ("createGuard ();", 6 );
     if ( $numLivePlayers >= 7 )  schedule ("createGuard ();", 7 );
     if ( $numLivePlayers >= 8 )  schedule ("createGuard ();", 8 );
//     if ( $numLivePlayers >= 9 )  schedule ("createGuard ();", 9 );
//     if ( $numLivePlayers >= 10 )  schedule ("createGuard ();", 10 );
//     if ( $numLivePlayers >= 11 )  schedule ("createGuard ();", 11 );
//     if ( $numLivePlayers >= 12 )  schedule ("createGuard ();", 12 );

}

//----------------------------------------------------------------

function createGuard ()
{

  %herc = NewObject( "Guard", Herc, 27);// * PlatAdjucator is 27 Prom is 29

  setTeam(%herc, *IDSTR_TEAM_RED);
  setPilotId (%herc, 30);

  %x = getPosition($prometheus ,x)+RandomInt(-100, 100);
  %y = getPosition($prometheus ,y)+RandomInt(-100, 100);
  %z = getPosition($prometheus ,z)+50;

   DropPod( %x, %y, %z);

   schedule ("setPosition ( " @ %herc @ "," @ %x @ ", " @ %y @ ", " @ %z @ ");", 7);

   addToSet( "MissionGroup", %herc );

   %target = PickPlayer();

   order( %herc ,attack, %target );
}

//----------------------------------------------------------------

function startPrommie ()
{

  %this = PickPlayer();

  playAnimSequence( $hut, 0, 1.0 );

//  createPromie();

  order( $prometheus, shutdown, false );

   order ($prometheus, Guard, %this );

   schedule ("order( " @ $prometheus @ ", Attack,  " @ %this @ " );", 15);

  dropPromGuards();
   $Baddies = false;
}

//----------------------------------------------------------------

function MPcheckBoundary( %dir, %obj2, %distance, %callback, %time )
{
// This is a modification of the campaign function "CheckBoundary"
//
// %dir  - enter or leave
// %obj2 - any object you want the players distance compared to
//         must be an ID (use getObjectid) and not a string ("MissionGroup/RedHerc/h1")
// %distance - if entering, they'd be within this range to run the function
//             if leaving, they'd be outside this range to run the function
// %callback - name of the function to run
// %time - when to reschedule the next check

  %jobRun = false;

   %playerCount = playerManager::getPlayerCount();

   for(%i=0; %i < %playerCount ; %i++)
     {
     %player = playerManager::getPlayerNum( %i );

     %obj1= playerManager::playerNumToVehicleId( %player);

   %var = getDistance( %obj1, %obj2 );

    if (%var != "0")
     {
     if( %dir == "enter" || %dir == "Enter" )
       {
        if( %var <= %distance )
          {
          if ( %jobRun == false )
            {
              %func = %callback @ "(" @ %obj1 @ ");";
              schedule( %func, 0 );
              %jobRun = true;
            }
          }
       }
    else if( %dir == "leave" || %dir == "Leave" )
      {
       if( %var >= %distance )
         {
          if ( %jobRun == false )
            {
              %func = %callback @ "();";
              schedule( %func, 0 );
              %jobRun = true;
            }
         }
      }
    }
  } // end for loop

  if  (%jobRun != true )
   {
   schedule( "MPcheckBoundary( "
             @ %dir @ ", "
             @ %obj2 @ ", "
             @ %distance @ ", "
             @ %callback @ ", "
             @ %time @ ");",
             %time );

   }

}

//----------------------------------------------------------------

function placeObject (%object, %x, %y, %rot)
{

  if ( %rot == "" ) %rot = 0;

  %z = getTerrainHeight(%x, %y);
  setPosition (%object, %x, %y, %z + 2, %rot);

}

//----------------------------------------------------------------



function checkForPlayersDead()
{
  %allDead = true;

   %playerCount = playerManager::getPlayerCount();

   for (%p = 0; %p < %playerCount; %p++)
     {
      %player = playerManager::getPlayerNum( %p );

      %playerVeh = playerManager::playerNumToVehicleId( %player);

      if (( %playerVeh != "" ) &&
          (isGroupDestroyed (%playerVeh) == false))
       {

         %allDead = false;
       }
     }

  if ( %allDead == true ) schedule ("missionFailed();", 3);

}

//----------------------------------------------------------------

function gameOver()
{
  flushConsoleScheduler();

  deleteObject("MissionGroup");
  deleteObject("MissionCleanup");

  deleteVariables($navAlpha);
  deleteVariables($navOmega);
  deleteVariables($MarkerCaanon);
  deleteVariables($CaanonPath);
  deleteVariables($Baddies);
  deleteVariables($hut);
  deleteVariables($prometheus);
  deleteVariables($Sax);
  deleteVariables($Caanon);
  deleteVariables($Vtec[1]);
  deleteVariables($Vtec[2]);
  deleteVariables($Vtec[3]);
  deleteVariables($Vtec[4]);
  deleteVariables($Vtec[5]);
  deleteVariables($Vtec[6]);
  deleteVariables($Vtec[7]);
  deleteVariables($Vtec[8]);
  deleteVariables($Vtec[9]);
  deleteVariables($Vtec[10]);
  deleteVariables($Vtec[11]);
  deleteVariables($Vtec[12]);
  deleteVariables($Vtec[13]);
  deleteVariables($Vtec[14]);
  deleteVariables($Vtec[15]);
  deleteVariables($Vtec[16]);
  deleteVariables($Vtec[17]);
  deleteVariables($Vtec[18]);
  deleteVariables($Vtec[19]);
  deleteVariables($Vtec[20]);
  deleteVariables($Vtec[21]);
  deleteVariables($Vtec[22]);
  deleteVariables($Vtec[23]);
  deleteVariables($Vtec[24]);
  deleteVariables($Vtec[25]);
  deleteVariables($Vtec[26]);
  deleteVariables($Vtec[27]);
  deleteVariables($Vtec[28]);
  deleteVariables($Vtec[29]);
  deleteVariables($Vtec[30]);
  deleteVariables($Vtec[31]);
  deleteVariables($Vtec[32]);
  deleteVariables($Vtec[33]);
  deleteVariables($Vtec[34]);
  deleteVariables($Vtec[35]);
  deleteVariables($Vtec[36]);
  deleteVariables($Vtec[37]);
  deleteVariables($Vtec[38]);
  deleteVariables($Vtec[39]);
  deleteVariables($Vtec[40]);
  deleteVariables($Vtec[41]);
  deleteVariables($Vtec[42]);
  deleteVariables($Vtec[43]);
  deleteVariables($Vtec[44]);
  deleteVariables($Vtec[45]);
  deleteVariables($Vtec[46]);
  deleteVariables($Vtec[47]);
  deleteVariables($Vtec[48]);
  deleteVariables($Vtec[49]);
  deleteVariables($Vtec[50]);
  deleteVariables($Vtec[51]);
  deleteVariables($Vtec[52]);
  deleteVariables($Vtec[53]);
  deleteVariables($Vtec[54]);
  deleteVariables($Vtec[55]);
  deleteVariables($Vtec[56]);
  deleteVariables($Vn);
  deleteVariables($Vtyp[1]);
  deleteVariables($Vtyp[2]);
  deleteVariables($Vtyp[3]);
  deleteVariables($Vtyp[4]);
  deleteVariables($Vtyp[5]);
  deleteVariables($Vtyp[6]);
  deleteVariables($Vtyp[7]);
  deleteVariables($Vtyp[8]);
  deleteVariables($Vtyp[9]);
  deleteVariables($Vtyp[10]);
  deleteVariables($Vtyp[11]);
  deleteVariables($Vtyp[12]);
  deleteVariables($Vtyp[13]);
  deleteVariables($Vtyp[14]);
  deleteVariables($Vtyp[15]);
  deleteVariables($Vtyp[16]);
  deleteVariables($Vtyp[17]);
  deleteVariables($Vtyp[18]);
  deleteVariables($Vtyp[19]);
  deleteVariables($Vtyp[20]);
  deleteVariables($Vtyp[21]);
  deleteVariables($Vtyp[22]);
  deleteVariables($Vtyp[23]);
  deleteVariables($Vtyp[24]);
  deleteVariables($Vtyp[25]);
  deleteVariables($Vtyp[26]);
  deleteVariables($Vtyp[27]);
  deleteVariables($Vtyp[28]);
  deleteVariables($Vtyp[29]);
  deleteVariables($Vtyp[30]);
  deleteVariables($Vtyp[31]);
  deleteVariables($Vtyp[32]);
  deleteVariables($Vtyp[33]);
  deleteVariables($Vtyp[34]);
  deleteVariables($Vtyp[35]);
  deleteVariables($Vtyp[36]);
  deleteVariables($Vtyp[37]);
  deleteVariables($Vtyp[38]);
  deleteVariables($Vtyp[39]);
  deleteVariables($Vtyp[40]);
  deleteVariables($Vtyp[41]);
  deleteVariables($Vtyp[42]);
  deleteVariables($Vtyp[43]);
  deleteVariables($Vtyp[44]);
  deleteVariables($Vtyp[45]);
  deleteVariables($Vtyp[46]);
  deleteVariables($Vtyp[47]);
  deleteVariables($Vtyp[48]);
  deleteVariables($Vtyp[49]);
  deleteVariables($Vtyp[50]);
  deleteVariables($Vtyp[51]);
  deleteVariables($Vtyp[52]);
  deleteVariables($Vtyp[53]);
  deleteVariables($Vtyp[54]);
  deleteVariables($Vtyp[55]);
  deleteVariables($Vtyp[56]);

   deleteFunctions("onMissionLoad");
   deleteFunctions("onMissionStart");
   deleteFunctions("createPromie");
   deleteFunctions("createDropShip");
   deleteFunctions("createSax");
   deleteFunctions("createCaanon");
   deleteFunctions("player::onAdd");
   deleteFunctions("vehicle::onAdd");
   deleteFunctions("setNavOmegaON");
   deleteFunctions("onLeaveNavAlphaWarning");
   deleteFunctions("onLeaveNavAlpha");
   deleteFunctions("vehicle::onDestroyed");
   deleteFunctions("pickPlayer");
   deleteFunctions("dropPromGuards");
   deleteFunctions("createGuard");
   deleteFunctions("startPromie");
   deleteFunctions("MPcheckBoundary");
   deleteFunctions("placeObject");
   deleteFunctions("checkForPlayersDead");
   deleteFunctions("gameOver");
   deleteFunctions("missionFailed");
   deleteFunctions("vehicle::onScan");
   deleteFunctions("VehicleTech");
   deleteFunctions("getRandomAI");
   deleteFunctions("createbackup");
   deleteFunctions("createSquadTwo");
   deleteFunctions("createSquadThree");
   deleteFunctions("createSquadFour");
   deleteFunctions("createSquadFive");
   deleteFunctions("createSquadSix");
   deleteFunctions("createSquadSeven");
   deleteFunctions("createSquadEight");
   deleteFunctions("dropSquad");
   deleteFunctions("countLivePlayers");
   deleteFunctions("checkRedropSquad");
   deleteFunctions("abs");
   deleteFunctions("findSquadDropPoint");
   deleteFunctions("*::vehicle::*");
   deleteFunctions("vehicle::*");
   deleteFunctions("*::structure::*");
   deleteFunctions("structure::*");
   deleteFunctions("*::turret::*");
   deleteFunctions("turret::*");
   deleteFunctions("*::trigger::*");
   deleteFunctions("trigger::*");

  missionEndConditionMet();
}


//----------------------------------------------------------------

function missionFailed()
{
  flushConsoleScheduler();
  messageBox(0, "Mission Failed" );

  deleteObject("MissionGroup");
  deleteObject("MissionCleanup");

  deleteVariables($navAlpha);
  deleteVariables($navOmega);
  deleteVariables($MarkerCaanon);
  deleteVariables($CaanonPath);
  deleteVariables($Baddies);
  deleteVariables($hut);
  deleteVariables($prometheus);
  deleteVariables($Sax);
  deleteVariables($Caanon);
  deleteVariables($Vtec[1]);
  deleteVariables($Vtec[2]);
  deleteVariables($Vtec[3]);
  deleteVariables($Vtec[4]);
  deleteVariables($Vtec[5]);
  deleteVariables($Vtec[6]);
  deleteVariables($Vtec[7]);
  deleteVariables($Vtec[8]);
  deleteVariables($Vtec[9]);
  deleteVariables($Vtec[10]);
  deleteVariables($Vtec[11]);
  deleteVariables($Vtec[12]);
  deleteVariables($Vtec[13]);
  deleteVariables($Vtec[14]);
  deleteVariables($Vtec[15]);
  deleteVariables($Vtec[16]);
  deleteVariables($Vtec[17]);
  deleteVariables($Vtec[18]);
  deleteVariables($Vtec[19]);
  deleteVariables($Vtec[20]);
  deleteVariables($Vtec[21]);
  deleteVariables($Vtec[22]);
  deleteVariables($Vtec[23]);
  deleteVariables($Vtec[24]);
  deleteVariables($Vtec[25]);
  deleteVariables($Vtec[26]);
  deleteVariables($Vtec[27]);
  deleteVariables($Vtec[28]);
  deleteVariables($Vtec[29]);
  deleteVariables($Vtec[30]);
  deleteVariables($Vtec[31]);
  deleteVariables($Vtec[32]);
  deleteVariables($Vtec[33]);
  deleteVariables($Vtec[34]);
  deleteVariables($Vtec[35]);
  deleteVariables($Vtec[36]);
  deleteVariables($Vtec[37]);
  deleteVariables($Vtec[38]);
  deleteVariables($Vtec[39]);
  deleteVariables($Vtec[40]);
  deleteVariables($Vtec[41]);
  deleteVariables($Vtec[42]);
  deleteVariables($Vtec[43]);
  deleteVariables($Vtec[44]);
  deleteVariables($Vtec[45]);
  deleteVariables($Vtec[46]);
  deleteVariables($Vtec[47]);
  deleteVariables($Vtec[48]);
  deleteVariables($Vtec[49]);
  deleteVariables($Vtec[50]);
  deleteVariables($Vtec[51]);
  deleteVariables($Vtec[52]);
  deleteVariables($Vtec[53]);
  deleteVariables($Vtec[54]);
  deleteVariables($Vtec[55]);
  deleteVariables($Vtec[56]);
  deleteVariables($Vn);
  deleteVariables($Vtyp[1]);
  deleteVariables($Vtyp[2]);
  deleteVariables($Vtyp[3]);
  deleteVariables($Vtyp[4]);
  deleteVariables($Vtyp[5]);
  deleteVariables($Vtyp[6]);
  deleteVariables($Vtyp[7]);
  deleteVariables($Vtyp[8]);
  deleteVariables($Vtyp[9]);
  deleteVariables($Vtyp[10]);
  deleteVariables($Vtyp[11]);
  deleteVariables($Vtyp[12]);
  deleteVariables($Vtyp[13]);
  deleteVariables($Vtyp[14]);
  deleteVariables($Vtyp[15]);
  deleteVariables($Vtyp[16]);
  deleteVariables($Vtyp[17]);
  deleteVariables($Vtyp[18]);
  deleteVariables($Vtyp[19]);
  deleteVariables($Vtyp[20]);
  deleteVariables($Vtyp[21]);
  deleteVariables($Vtyp[22]);
  deleteVariables($Vtyp[23]);
  deleteVariables($Vtyp[24]);
  deleteVariables($Vtyp[25]);
  deleteVariables($Vtyp[26]);
  deleteVariables($Vtyp[27]);
  deleteVariables($Vtyp[28]);
  deleteVariables($Vtyp[29]);
  deleteVariables($Vtyp[30]);
  deleteVariables($Vtyp[31]);
  deleteVariables($Vtyp[32]);
  deleteVariables($Vtyp[33]);
  deleteVariables($Vtyp[34]);
  deleteVariables($Vtyp[35]);
  deleteVariables($Vtyp[36]);
  deleteVariables($Vtyp[37]);
  deleteVariables($Vtyp[38]);
  deleteVariables($Vtyp[39]);
  deleteVariables($Vtyp[40]);
  deleteVariables($Vtyp[41]);
  deleteVariables($Vtyp[42]);
  deleteVariables($Vtyp[43]);
  deleteVariables($Vtyp[44]);
  deleteVariables($Vtyp[45]);
  deleteVariables($Vtyp[46]);
  deleteVariables($Vtyp[47]);
  deleteVariables($Vtyp[48]);
  deleteVariables($Vtyp[49]);
  deleteVariables($Vtyp[50]);
  deleteVariables($Vtyp[51]);
  deleteVariables($Vtyp[52]);
  deleteVariables($Vtyp[53]);
  deleteVariables($Vtyp[54]);
  deleteVariables($Vtyp[55]);
  deleteVariables($Vtyp[56]);

   deleteFunctions("onMissionLoad");
   deleteFunctions("onMissionStart");
   deleteFunctions("createPromie");
   deleteFunctions("createDropShip");
   deleteFunctions("createSax");
   deleteFunctions("createCaanon");
   deleteFunctions("player::onAdd");
   deleteFunctions("vehicle::onAdd");
   deleteFunctions("setNavOmegaON");
   deleteFunctions("onLeaveNavAlphaWarning");
   deleteFunctions("onLeaveNavAlpha");
   deleteFunctions("vehicle::onDestroyed");
   deleteFunctions("pickPlayer");
   deleteFunctions("dropPromGuards");
   deleteFunctions("createGuard");
   deleteFunctions("startPromie");
   deleteFunctions("MPcheckBoundary");
   deleteFunctions("placeObject");
   deleteFunctions("checkForPlayersDead");
   deleteFunctions("gameOver");
   deleteFunctions("missionFailed");
   deleteFunctions("vehicle::onScan");
   deleteFunctions("VehicleTech");
   deleteFunctions("getRandomAI");
   deleteFunctions("createbackup");
   deleteFunctions("createSquadTwo");
   deleteFunctions("createSquadThree");
   deleteFunctions("createSquadFour");
   deleteFunctions("createSquadFive");
   deleteFunctions("createSquadSix");
   deleteFunctions("createSquadSeven");
   deleteFunctions("createSquadEight");
   deleteFunctions("dropSquad");
   deleteFunctions("countLivePlayers");
   deleteFunctions("checkRedropSquad");
   deleteFunctions("abs");
   deleteFunctions("findSquadDropPoint");
   deleteFunctions("*::vehicle::*");
   deleteFunctions("vehicle::*");
   deleteFunctions("*::structure::*");
   deleteFunctions("structure::*");
   deleteFunctions("*::turret::*");
   deleteFunctions("turret::*");
   deleteFunctions("*::trigger::*");
   deleteFunctions("trigger::*");

  missionendconditionmet();
}




//-------------------MedPak---------------------------------------------

function vehicle::onScan(%scanned,%scanner)	
{
   if ((%scanned != %scanner) &&
      (getTeam(%scanned) == getTeam(%scanner)) &&
      (getTeam(%scanned) == *IDSTR_TEAM_YELLOW))
       {
        healobject (%scanned, 2500 );
        reloadObject (%scanned, 2500 );
        %player1 = playerManager::vehicleIdToPlayerNum(%scanned);
        say ( %player1,1,"<f5>MedPak Engaged...","sfx_electrical_bzzt.wav");
        playsound(%player1,"sfx_electrical_bzzt.wav",IDPRF_2D);
//        playsound(%player1,"sfx_electrical_bzzt.wav",IDPRF_2D);
//        playsound(%player1,"sfx_electrical_bzzt.wav",IDPRF_2D);

        %player2 = playerManager::vehicleIdToPlayerNum(%scanner);
        say ( %player2,1, "<f5>MedPak Engaged...","sfx_electrical_bzzt.wav");
        playsound(%player2,"sfx_electrical_bzzt.wav",IDPRF_2D);
//        playsound(%player2,"sfx_electrical_bzzt.wav",IDPRF_2D);
//        playsound(%player2,"sfx_electrical_bzzt.wav",IDPRF_2D);
       }
}
//----------------------------------------------------------------

//--------AI Machine----------------------------------------------
//----------------------------------------------------------------

// Immutable vehicle attributes
//   tec: 0 = not applicable, 1 = Cybrid, 2 = Human
//   typ: 0 = not applicable, 1 = Herc, 2 = Tank, 3 = Drone, 4 = Flyer
// * denotes non-standard vehicles ordinarily prohibited to human players
// NA denotes ids for which no vehicle exists
$Vtec[1]=2;$Vtyp[1]=1;//TerranApocalypse
$Vtec[2]=2;$Vtyp[2]=1;//TerranMinotaur
$Vtec[3]=2;$Vtyp[3]=1;//TerranGorgon
$Vtec[4]=2;$Vtyp[4]=1;//TerranTalon
$Vtec[5]=2;$Vtyp[5]=1;//TerranBasilisk
$Vtec[6]=2;$Vtyp[6]=2;//Paladin
$Vtec[7]=2;$Vtyp[7]=2;//Myrmidon
$Vtec[8]=2;$Vtyp[8]=2;//Disrupter
$Vtec[9]=0;$Vtyp[9]=4;// * Banshee
$Vtec[10]=2;$Vtyp[10]=1;//Knight'sApocalypse
$Vtec[11]=2;$Vtyp[11]=1;//Knight'sMinotaur
$Vtec[12]=2;$Vtyp[12]=1;//Knight'sGorgon
$Vtec[13]=2;$Vtyp[13]=1;//Knight'sTalon
$Vtec[14]=2;$Vtyp[14]=1;//Knight'sBasilisk
$Vtec[15]=2;$Vtyp[15]=2;//KnightPaladin
$Vtec[16]=2;$Vtyp[16]=2;//KnightMyrmidon
$Vtec[17]=2;$Vtyp[17]=2;//KnightDisrupter
$Vtec[18]=0;$Vtyp[18]=4;// * TerranCargo
$Vtec[19]=0;$Vtyp[19]=4;// * TerranEscape
$Vtec[20]=1;$Vtyp[20]=1;//Seeker
$Vtec[21]=1;$Vtyp[21]=1;//Goad
$Vtec[22]=1;$Vtyp[22]=1;//Shepherd
$Vtec[23]=1;$Vtyp[23]=1;//Adjudicator
$Vtec[24]=1;$Vtyp[24]=1;//Executioner
$Vtec[25]=1;$Vtyp[25]=2;//Bolo
$Vtec[26]=1;$Vtyp[26]=2;//Recluse
$Vtec[27]=1;$Vtyp[27]=1;// * PlatAdjucator
$Vtec[28]=1;$Vtyp[28]=1;// * PlatExecutor
$Vtec[29]=1;$Vtyp[29]=1;// * Prometheus
$Vtec[30]=2;$Vtyp[30]=1;//Emancipator
$Vtec[31]=2;$Vtyp[31]=2;//Avenger
$Vtec[32]=2;$Vtyp[32]=2;//Dreadlock
$Vtec[33]=2;$Vtyp[33]=1;//Olympian
$Vtec[34]=0;$Vtyp[34]=0;// NA
$Vtec[35]=1;$Vtyp[35]=1;//MetagenSeeker
$Vtec[36]=1;$Vtyp[36]=1;//MetagenGoad
$Vtec[37]=1;$Vtyp[37]=1;//MetagenShepherd
$Vtec[38]=1;$Vtyp[38]=1;// * MetagenAdjucator
$Vtec[39]=1;$Vtyp[39]=1;// * MetagenExecutor
$Vtec[40]=2;$Vtyp[40]=1;// * Harabec'sApocalypse
$Vtec[41]=2;$Vtyp[41]=2;//Predator
$Vtec[42]=2;$Vtyp[42]=1;// * Caanon's Basilisk?
$Vtec[43]=2;$Vtyp[43]=1;// * Cinematic Apocalypse
$Vtec[44]=2;$Vtyp[44]=1;// * Cinematic Basilisk
$Vtec[45]=2;$Vtyp[45]=2;// * Super Predator
$Vtec[46]=0;$Vtyp[46]=0;// NA
$Vtec[47]=0;$Vtyp[47]=0;// NA
$Vtec[48]=0;$Vtyp[48]=0;// NA
$Vtec[49]=0;$Vtyp[49]=0;// NA
$Vtec[50]=2;$Vtyp[50]=1;// * PirateApocalypse
$Vtec[51]=2;$Vtyp[51]=2;// * PirateDreadlock
$Vtec[52]=2;$Vtyp[52]=1;//PirateEmancipator
$Vtec[53]=0;$Vtyp[53]=0;// NA
$Vtec[54]=0;$Vtyp[54]=0;// NA
$Vtec[55]=1;$Vtyp[55]=1;//PlayerPlatAdjudicator
$Vtec[56]=1;$Vtyp[56]=1;//PlayerPlatExecutioner
$Vn = 57;
//----------------------------------------------------------------

function VehicleTech(%v)
{
	if ((%v >= 1) && (%v < $Vn)) %t = $Vtec[%v];
	else if ((%v >= 60) && (%v <= 73)) %t = 0;
	else if (%v == 90) %t = 1;
	else if ((%v >= 91) && (%v <= 93)) %t = 0;
	else if ((%v >= 94) && (%v <= 96)) %t = 0;
	else if ((%v >= 110) && (%v <= 111)) %t = 0;
	else if ((%v >= 130) && (%v <= 132)) %t = 0;
	else if ((%v >= 133) && (%v <= 134)) %t = 2;
	else if ((%v >= 135) && (%v <= 136)) %t = 0;
	else if ((%v >= 137) && (%v <= 138)) %t = 2;
	else if (%v == 150) %t = 2;
	else %t = 0;

    return %t;


	return "?";
}

//----------------------------------------------------------------

// this function uses less AI, all standard
function getRandomAI( %vehicleTech )
{

  %vehTech = -1;
%cntr = 0;

  while (( %vehTech != %vehicleTech ) ||
         ( %vehicleTech == 3 ))
   {
// check for valid ranges
     %i = RandomInt(22,24);
//     %i = RandomInt(1,28);
     if ( %i>8 && %i<10 )
        %i = RandomInt(1,8);
     if ( %i>17 && %i<20 )
        %i = RandomInt(20,28);

// get appropriate type Tank or Herc
     %type = Herc;
     if ( %i>5  && %i<= 8 )   %type = Tank;
     if ( %i>14 && %i<= 17 )  %type = Tank;
     if ( %i>24 && %i<= 26 )  %type = Tank;

     %vehTech = VehicleTech(%i);

%cntr++;

if ( %cntr > 10) break;
  }

   return NewObject( "AI" @ %i, %type, %i );
}

//----------------------------------------------------------------

function createbackup()
{

   if ( $Baddies == true )
     {

     $numLivePlayers = countLivePlayers ();

     if ( $numLivePlayers >= 1 )  findSquadDropPoint ( getObjectid ($MarkerCaanon), 3, "squad1" );
     if ( $numLivePlayers >= 2 )  schedule ("createSquadTwo();", 5 );
     if ( $numLivePlayers >= 3 )  schedule ("createSquadThree();", 7 );
     if ( $numLivePlayers >= 4 )  schedule ("createSquadFour();", 9 );
//     if ( $numLivePlayers >= 5 )  schedule ("createSquadFive();", 11 );
//     if ( $numLivePlayers >= 6 )  schedule ("createSquadSix();", 13 );
//     if ( $numLivePlayers >= 7 )  schedule ("createSquadSeven();", 15 );
//     if ( $numLivePlayers >= 8 )  schedule ("createSquadEight();", 17 );
     }
}
//----------------------------------------------------------------


function createSquadTwo ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 3, "squad2" );
}

function createSquadThree()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 3, "squad3" );
}

function createSquadFour ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 3, "squad4" );
}

function createSquadFive ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 3, "squad5" );
}

function createSquadSix ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 2, "squad6" );
}

function createSquadSeven ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 2, "squad7" );
}

function createSquadEight ()
{
  findSquadDropPoint ( getObjectid ($MarkerCaanon), 4, "squad8" );
}

//----------------------------------------------------------------

function dropSquad(%x, %y, %howMany, %newGroup )
{
   if ( $Baddies == true )
 {


 if ( %howMany > 10 ) %howMany = 10;

  %thisGroup = "MissionGroup/" @ %newgroup;

  newObject( %newGroup, SimGroup );
  addToSet( "MissionGroup", %newGroup );

  for ( %i=0; %i < %howMany; %i++ )
    {
      %herc = getRandomAI( $OVconvoyTech );

      setTeam (%herc, *IDSTR_TEAM_RED);
      setpilotID ( %herc, 31);

      placeObject ( %herc, %x, %y, 0);

                           %z = getTerrainHeight(%x, %y);
                           DropPod( %x, %y, %z);

  addToSet(  %thisGroup, %herc );

      %x = %x + 100 ;
      %y = %y + 100 ;

      if ( %i == 0 )
       {
         %leadHerc = %herc;
       }


      order (%herc, speed, high);


          %targetPlayer = pickPlayer();
          order ( %herc, attack, %targetPlayer );

    }
 }
}


//----------------------------------------------------------------

function countLivePlayers ()
{

  %count = 0;

   %playerCount = playerManager::getPlayerCount();

   for (%p = 0; %p < %playerCount; %p++)
     {
      %player = playerManager::getPlayerNum( %p );

      %playerVeh = playerManager::playerNumToVehicleId( %player);

      if (( %playerVeh != "" ) &&
          (isGroupDestroyed (%playerVeh) == false))
       {
         %count++;
       }
     }
  return %count;

}

//----------------------------------------------------------------

function checkRedropSquad()
{
 %howMany = countLivePlayers ();

     if (( %howMany >= 1 ) &&
         ( isGroupDestroyed ("MissionGroup/squad1") == true ))
       {
         %center = getObjectid ($MarkerCaanon);
//         %center = pickPlayer();
         findSquadDropPoint ( %center, 3, "squad1" );
       }

     if (( %howMany >= 2 ) &&
         ( isGroupDestroyed ("MissionGroup/squad2") == true ))
       {
         %center = getObjectid ($MarkerCaanon);
//         %center = pickPlayer();
         findSquadDropPoint ( %center, 3, "squad2" );
       }

     if (( %howMany >= 3 ) &&
         ( isGroupDestroyed ("MissionGroup/squad3") == true ))
       {
         %center = getObjectid ($MarkerCaanon);
//         %center = pickPlayer();
         findSquadDropPoint ( %center, 3, "squad3" );
       }

     if (( %howMany >= 4 ) &&
         ( isGroupDestroyed ("MissionGroup/squad4") == true ))
       {
         %center = getObjectid ($MarkerCaanon);
//         %center = pickPlayer();
         findSquadDropPoint ( %center, 2, "squad4" );
       }
}

//----------------------------------------------------------------

function abs(%n)
{
  if ( %n < 0 ) 
    {
      %n = %n * -1;
      return %n;
    }
   else
    {
      return %n;
    }
}

//----------------------------------------------------------------

function findSquadDropPoint ( %centerObject, %howMany, %squadName )
{

%cntr = 0;

     %maxRange = $maxRange;
     %minRange = $minRange;

// not really a target, but the center of attention
   %target = %centerObject;

   %OVbaseX = getPosition (%target, x);
   %OVbaseY = getPosition (%target, y);

// select a drop zone
  %xDrop = RandomInt ( %OVbaseX-%maxRange, %OVbaseX+%maxRange );
  %yDrop = RandomInt ( %OVbaseY-%maxRange, %OVbaseY+%maxRange );

  %deltaX = %OVbaseX - %xDrop;
  %deltaY = %OVbaseY - %yDrop;

  %deltaX = abs ( %deltaX );
  %deltaY = abs ( %deltaY );

  %dropDistance = sqrt ( (%deltaX*%deltaX) + (%deltaY*%deltaY) );

  if  (( %dropDistance < %minRange ) ||
       ( %dropDistance > %maxRange ))
   {
     %dropDistance = randomInt ( %minRange, %maxRange );

// keep X position, for no particular reason
      %temp = (( %xDrop * %xDrop ) - ( %dropDistance * %dropDistance ));
      %temp = abs ( %temp );
      %yDrop = sqrt ( %temp );

   while (1)
   {

// select a drop zone
     %xDrop = RandomInt ( %OVbaseX-%maxRange, %OVbaseX+%maxRange );
     %yDrop = RandomInt ( %OVbaseY-%maxRange, %OVbaseY+%maxRange );

     %deltaX = %OVbaseX - %xDrop;
     %deltaY = %OVbaseY - %yDrop;

     %deltaX = abs ( %deltaX );
     %deltaY = abs ( %deltaY );

     %dropDistance = sqrt ( (%deltaX*%deltaX) + (%deltaY*%deltaY) );


  if  (( %dropDistance > %minRange ) &&
       ( %dropDistance < %maxRange ))    break;

%cntr++;
 if ( %cntr > 20 ) break;

   }

   }

   dropSquad (%xDrop, %yDrop, %howMany, %squadName);

}

//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
//----------------------------------------------------------------
























































































